Bug 640412 - SELinux is preventing Xorg (xdm_t) "execmem" to <Unknown> (xdm_t).
SELinux is preventing Xorg (xdm_t) "execmem" to <Unknown> (xdm_t).
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-05 15:06 EDT by Wolfram R. Jarisch
Modified: 2014-09-15 07:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 14:25:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfram R. Jarisch 2010-10-05 15:06:45 EDT
Description of problem:

SELinux denied access requested by Xorg. It is not expected that this access is required by Xorg and this access may signal an intrusion attempt. It is also possible that the specific version or configuration of the application is causing it to require additional access. 
Version-Release number of selected component (if applicable):


How reproducible: don't know yet, just changed SELinux to "enforce"


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2010-10-06 12:04:55 EDT
Could we get whole AVC denial report which you get from setroubleshooter, please? Without that there is not much we could do about this.

Thank you very much
Comment 2 Wolfram R. Jarisch 2010-10-06 13:20:21 EDT
Dear Matej,
how do I get that information - what commands?
regards,
Wolfram
Comment 3 Wolfram R. Jarisch 2010-10-06 15:49:32 EDT
(In reply to comment #1)
> Could we get whole AVC denial report which you get from setroubleshooter,
> please? Without that there is not much we could do about this.
> 
> Thank you very much
Dear Matej,
how do I get that information - what commands?
regards,
Wolfram
Comment 4 Matěj Cepl 2010-10-07 12:02:51 EDT
(In reply to comment #3)
> how do I get that information - what commands?

OK, probably the easiest way is to attach us /var/log/audit/audit.log as an attachment to this bug, please. You could make it a private attachment.

Thank you.
Comment 5 Wolfram R. Jarisch 2014-09-15 07:47:08 EDT
Out of date - unavailable

Note You need to log in before you can comment on or make changes to this bug.